<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="h-100 w-100 d-flex align-items-center">
  <div class="input-group search-bar-size d-flex">
    <div class="search-bar-size">
      <fa-icon
        class="text-center"
        [icon]="commonIcons.SEARCH_ICON">
      </fa-icon>
      <input
        id="searchInput"
        type="text"
        class="form-control search-input rounded-end h-100"
        autocomplete="off"
        [placeholder]="globalSearchMessages.SEARCH_PLACEHOLDER"
        [(ngModel)]="search"
        #searchInput>

      <div
        *ngIf="foldersDataList"
        class="position-relative shadow text-dark rounded search-results">
        <ul class="flex-column list-group list-group-flush rounded-bottom">
          <li
            *ngFor="let folderData of foldersDataList"
            class="list-group-item text-nowrap px-3 pointer overflow-hidden text-overflow-ellipsis"
            (click)="navigateToFolder(folderData)"
            [innerText]="folderData.folder.name">
          </li>
          <li
            *ngIf="foldersDataList.length === 0 && !isProcessing && !!hasSearchedAtLeastOnce"
            class="list-group-item text-nowrap px-3 pointer"
            [innerText]="globalSearchMessages.NO_RESULTS">
          </li>
          <li
            class="list-group-item text-nowrap px-3 pointer d-flex justify-content-center"
            *ngIf="!!isProcessing">
            <fa-icon
              class="position-relative"
              [icon]="commonIcons.SPINNER_ICON"
              [spin]="true">
            </fa-icon>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>

